﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Schedules;
using Infragistics.Controls.Schedules.Primitives;
using Infragistics.Controls.Layouts;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Infragistics.Controls;
using Infragistics.DragDrop;

namespace SilverlightApplication96
{
    public partial class MainPage : UserControl
    {
        ObservableCollection<Resource> resources2 = new ObservableCollection<Resource>();
        ObservableCollection<ResourceCalendar> calendars2 = new ObservableCollection<ResourceCalendar>();
        ObservableCollection<Appointment> appointments2 = new ObservableCollection<Appointment>();

        ObservableCollection<Appointment> appointments = new ObservableCollection<Appointment>();
        public MainPage()
        {
            InitializeComponent();
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
              var resources = new ObservableCollection<Resource>();
            resources.Add(new Resource
            {
                Id = "own1",
                Name = "Amanda"
            });

            resources.Add(new Resource
            {
                Id = "own2",
                Name = "Joe"
            });

            var calendars = new ObservableCollection<ResourceCalendar>();
            calendars.Add(new ResourceCalendar
            {
                Id = "cal1",
                OwningResourceId = "own1"
            });

            calendars.Add(new ResourceCalendar
            {
                Id = "cal2",
                OwningResourceId = "own2"
            });

             appointments = new ObservableCollection<Appointment>();
            appointments.Add(new Appointment
            {
                Id = "t1",
                OwningCalendarId = "cal1",
                OwningResourceId = "own1",
                Subject = "Appointment 1",
                Description = "My first appointment",
                // Convert the date to universal time, because a time zone is not set
                // in this snippet    
                StartTimeZoneId = TimeZoneInfo.Local.DisplayName,
                EndTimeZoneId = TimeZoneInfo.Local.DisplayName,
            
                Start = DateTime.Today.AddHours(9).AddMinutes(12).
                    ToUniversalTime(),
                End = DateTime.Today.AddHours(11).AddMinutes(42).
                    ToUniversalTime()
            });
            appointments.Add(new Appointment
            {
                Id = "t2",
                OwningCalendarId = "cal2",
                OwningResourceId = "own2",
                Subject = "Appointment 2",
                //StartTimeZoneId = tzt.DisplayName,
                //EndTimeZoneId = tzt.DisplayName,
                Description = "My second appointment",
                // Convert the date to universal time, because a time zone is not set
                // in this snippet 
                StartTimeZoneId = TimeZoneInfo.Local.DisplayName,
                EndTimeZoneId = TimeZoneInfo.Local.DisplayName,
                Start = DateTime.Today.AddHours(10).AddMinutes(12).
                    ToUniversalTime(),
                End = DateTime.Today.AddHours(11).AddMinutes(42).
                    ToUniversalTime() 
                
                   
            });

            dataConnector.ResourceItemsSource = resources;
            dataConnector.ResourceCalendarItemsSource = calendars;
            dataConnector.AppointmentItemsSource = appointments;
      //    setUpDayview2();
         //   CalendarGroup cg = new Infragistics.Controls.Schedules.CalendarGroup();
         //   cg.InitialCalendarIds = "cal1";
            
         ////   dayView2.CalendarGroupsOverride.Add(cg);

         //   CalendarGroup cg1 = new Infragistics.Controls.Schedules.CalendarGroup();
         //   cg.InitialCalendarIds = "cal2";
         //    dayView1.CalendarGroupsOverride.Add(cg1);

            //dayView1.AllowDrop = true;
            //dayView2.AllowDrop = true;

        
      

       
    
        }

        private void DragSource_Drop(object sender, Infragistics.DragDrop.DropEventArgs e)
        {
          //  e.DragTemplate = (DataTemplate)  LayoutRoot.Resources["dtemp"];
        }

        private void DragSource_DragStart(object sender, Infragistics.DragDrop.DragDropStartEventArgs e)
        {
        

           XamDayView xdv = (XamDayView)   FocusManager.GetFocusedElement();
           if (xdv.Name == "dayView1")
           e.DragTemplate = (DataTemplate)  LayoutRoot.Resources["dtemp2"];
           else
                e.DragTemplate = (DataTemplate)LayoutRoot.Resources["dtemp"];
        }
    }
}
